﻿
using System.Windows;
using System.Windows.Controls;

namespace VoIPserviceCheckerWP75
{
    public partial class InputFormControl : UserControl
    {
        public InputFormControl()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            if (FromIsValid())
            {
                btnOk.IsEnabled = false;
                ((MainPage)DataContext).RegisterToPbx(tbxUsername.Text, tbxAuth.Text, passwordbox.Password, tbxHost.Text);
            }
        }


        public void EnableOkButton()
        {
            btnOk.IsEnabled = true;
        }

        private bool FromIsValid()
        {
            if (string.IsNullOrEmpty(tbxUsername.Text))
            {
                MessageBox.Show("Username required!");
                return false;
            }
            if (string.IsNullOrEmpty(tbxAuth.Text))
            {
                MessageBox.Show("Authname required!");
                return false;
            } 
            if (string.IsNullOrEmpty(passwordbox.Password))
            {
                MessageBox.Show("Password required!");
                return false;
            } 
            if (string.IsNullOrEmpty(tbxHost.Text))
            {
                MessageBox.Show("Host required!");
                return false;
            }


            return true;
        }
    }
}
